Package Details: webtorrent-desktop 0.20.0-1

Git Clone URL: https://aur.archlinux.org/webtorrent-desktop.git (read-only)
Package Base: webtorrent-desktop
Description: Streaming torrent client.
Upstream URL: https://webtorrent.io/desktop
Licenses: MIT
Conflicts: webtorrent-desktop-bin, webtorrent-desktop-git
Submitter: 314eter
Maintainer: 314eter
Last Packager: 314eter
Votes: 14
Popularity: 0.034132
First Submitted: 2016-04-07 00:02
Last Updated: 2018-06-28 09:45

Latest Comments

1 2 Next › Last »

Kutabe commented on 2018-06-28 00:07

add npm to make depends

KayleePop commented on 2018-04-21 19:56

Consider using this patch to fix tray functionality on arch. https://pastebin.com/nUUuCUXu

A debian specific check is done in the js code to check that libappindicator1 is installed which always fails on non-debian systems. This patch simply bypasses the check.

If libnotify isn't installed, then the webtorrent window will close without killing the process, but it's already a dependency of the electron package, so it's not an issue.

alex4o commented on 2017-08-13 10:50

gets stuck on:
> node ./download-chromedriver.js

Anonymous comment on 2017-04-10 22:04

hi
im having issues with this pkg on gnome
please remove the Path= lines from webtorrent-desktop.desktop, and change the second line of the webtorrent-desktop script to:

exec electron /usr/lib/webtorrent-desktop "$@"

thx

nicman23 commented on 2017-03-31 20:39

please update the PKGBUILD to this https://pastebin.com/7kJs58TU

it downloads elctron from repos and has the 18 version

gdamjan commented on 2016-10-05 21:06

oh my, it also downloads electron armv7,

electron is now in community, maybe this package can depend and use it?

02m commented on 2016-09-02 10:07

Installation gets stuck with the last output of:

==> Starting build()...
npm WARN deprecated lodash@1.2.1: lodash@<3.0.0 is no longer maintained. Upgrade to lodash@^4.0.0.
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
[ .....] / extract:webtorrent: sill doParallel extract 753

gdamjan commented on 2016-05-20 16:19

why does it download both electron-v1.0.2-linux-x64.zip and electron-v1.0.2-linux-ia32.zip ?

joaomedeiros95 commented on 2016-05-16 11:44

v0.4.0 released, please update

314eter commented on 2016-05-09 14:57

I added the dependencies, thanks for noticing.